Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.process
Class FloodFiller

    java.lang.Object
      ij.process.FloodFiller

public class FloodFiller
extends java.lang.Object

This class, which does flood filling, is used by the floodFill() macro function and by the particle analyzer The Wikipedia at "http://en.wikipedia.org/wiki/Flood_fill" has a good description of the algorithm used here as well as examples in C and Java.

Constructor Summary
`FloodFiller(ImageProcessor ip)`

Method Summary
`boolean` | `fill(int x, int y)` Does a 4-connected flood fill.
`boolean` | `fill8(int x, int y)` Does a 8-connected flood fill.
`void` | `particleAnalyzerFill(int x, int y, double level1, double level2, ImageProcessor mask, java.awt.Rectangle bounds)` This method is used by the particle analyzer to remove interior holes from particle masks.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloodFiller

    public FloodFiller(ImageProcessor ip)

Method Detail

### fill

    public boolean fill(int x,
                        int y)

  Does a 4-connected flood fill.

### fill8

    public boolean fill8(int x,
                         int y)

  Does a 8-connected flood fill.

### particleAnalyzerFill

    public void particleAnalyzerFill(int x,
                                     int y,
                                     double level1,
                                     double level2,
                                     ImageProcessor mask,
                                     java.awt.Rectangle bounds)

  This method is used by the particle analyzer to remove interior holes from particle masks.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD